Help Center

My JibJab Account →

Technical – What iOS version do I need to run the JibJab app?

You will need iOS 8 or greater. Prepare yourself — this might call for an update (gasp!).